## calls-history-box calls-history-box |

## Functions

CallsHistoryBox * | calls_history_box_new ()

## Properties

GListModel * | model | Write / Construct Only

## Types and Values

#define | CALLS_TYPE_HISTORY_BOX
| CallsHistoryBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── AdwBin
                    ╰── CallsHistoryBox

## Implemented Interfaces

CallsHistoryBox implements GtkAccessible, GtkBuildable and GtkConstraintTarget.

## Description

## Functions

### calls_history_box_new ()

    CallsHistoryBox *
    calls_history_box_new (GListModel *model);

## Types and Values

### CALLS_TYPE_HISTORY_BOX

    #define CALLS_TYPE_HISTORY_BOX (calls_history_box_get_type ())

### CallsHistoryBox

    typedef struct _CallsHistoryBox CallsHistoryBox;

## Property Details

### The `“model”` property

      “model”                    GListModel *

The data store containing call records.

Owner: CallsHistoryBox

Flags: Write / Construct Only